using System.Diagnostics;
using Microsoft.VisualBasic;
using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Collections;

namespace Project.UI
{
	//'' -----------------------------------------------------------------------------
	//'' Project	 : Template
	//'' Interface	 : IBusinessClassGrid
	//''
	//'' -----------------------------------------------------------------------------
	//'' <summary>
	//'' This Interface should be implemented in all subclassed controls
	//'' that will reference Business Objects
	//'' </summary>
	//'' <remarks>
	//'' </remarks>
	//'' <history>
	//'' 	[ntense99]	05/06/2005	Created
	//'' </history>
	//'' -----------------------------------------------------------------------------
	public interface IBusinessClassControl
	{
		void LoadBusinessObjects (); //Gets Data From Database
		void DeleteBusinessObjects (); //Deletes Records
		void AddBusinessObjects (); //Adds new records
		void SaveBusinessObjects (); //Saves Changes
		void CancelBusinessObjects (); //Rejects Changes
	}
}
