using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DevscoveryPLFDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'northwindDataSet.Order_Details' table. You can move, or remove it, as needed.
            this.order_DetailsTableAdapter.Fill(this.northwindDataSet.Order_Details);
            // TODO: This line of code loads data into the 'northwindDataSet.Orders' table. You can move, or remove it, as needed.
            this.ordersTableAdapter.Fill(this.northwindDataSet.Orders);
            // TODO: This line of code loads data into the 'northwindDataSet.Employees' table. You can move, or remove it, as needed.
            this.employeesTableAdapter.Fill(this.northwindDataSet.Employees);

            this.ultraTree1.DrawFilter = new CustomNodeTextDrawingDrawFilter();
            this.ultraGrid1.CreationFilter = new ExpandableGrouposCreationFilter();
            this.ultraGrid2.CreationFilter = new RemoveGroupByExpansionIndicatorCreationFilter();

            this.uiElementViewerDialog1.Show();

            //this.ultraTree1.DrawFilter = new RemoveFocusRectangeDrawFilter();
            

        }

        private void ultraGrid1_AfterRowActivate(object sender, EventArgs e)
        {
            this.northwindDataSet.Orders.DefaultView.RowFilter = "EmployeeID = " + this.ultraGrid1.ActiveRow.Cells["EmployeeID"].Value;
            this.ultraGrid2.DataSource = this.northwindDataSet.Orders.DefaultView;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            this.appStylistRuntime1.ShowRuntimeApplicationStylingEditor(this, " App Styling ");
        }
    }
}