using System.Diagnostics;
using Microsoft.VisualBasic;
using System;
using System.Data;
using System.Collections;

namespace Project.Support
{
	//'' -----------------------------------------------------------------------------
	//'' Project	 : Project.Config
	//'' Class	 : Config.ApplicationSettings
	//''
	//'' -----------------------------------------------------------------------------
	//'' <summary>
	//'' Application Configuration And Settings Class which holds the serialized
	//'' values between sessions. Place any Properties that you need to persist
	//'' in this class.
	//'' </summary>
	//'' <remarks>
	//'' </remarks>
	//'' <history>
	//'' 	[ntense99]	11/23/2004	Created
	//'' </history>
	//'' -----------------------------------------------------------------------------
	[Serializable()]public class ApplicationSettings
	{
		
		public ApplicationSettings() {
			
		}
		
		#region " Database Connection String"
		
		private string _strDataSource; //= "ATHLON"
		public string DbDataSource
		{
			get{
				return _strDataSource;
			}
			set
			{
				_strDataSource = value;
			}
		}
		
		private string _strDatabase;
		public string DbDatabase
		{
			get{
				return _strDatabase;
			}
			set
			{
				_strDatabase = value;
			}
		}
		
		private string _strLogin;
		public string DbLogin
		{
			get{
				return _strLogin;
			}
			set
			{
				_strLogin = value;
			}
		}
		
		private string _strPassword;
		public string DbPassword
		{
			get{
				return _strPassword;
			}
			set
			{
				_strPassword = value;
			}
		}
		
		private string _strTrustedCn;
		public string DbTrusted
		{
			get{
				return _strTrustedCn;
			}
			set
			{
				_strTrustedCn = value;
			}
		}
		
		#endregion
		
		#region " Other Application Properties "
		
		private string _strDocFolder;
		public string DocumentFolder
		{
			get{
				return _strDocFolder;
			}
			set
			{
				_strDocFolder = value;
			}
		}
		private System.Windows.Forms.FormWindowState _winState;
		public System.Windows.Forms.FormWindowState WindowState
		{
			get{
				return _winState;
			}
			set
			{
				_winState = value;
			}
		}
		private int _height;
		public int Height
		{
			get{
				return _height;
			}
			set
			{
				_height = value;
			}
		}
		private int _width;
		public int Width
		{
			get{
				return _width;
			}
			set
			{
				_width = value;
			}
		}
		
		#endregion
		
	}
	
}
