using System.Diagnostics;
using Microsoft.VisualBasic;
using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Collections;

namespace Project.UI
{
	//'' -----------------------------------------------------------------------------
	//'' Project	 : Project.Config.Forms
	//'' Class	 : Config.Forms.ConfigDefaultStartCtl
	//''
	//'' -----------------------------------------------------------------------------
	//'' <summary>
	//'' Configuration Control Splash Screen
	//'' </summary>
	//'' <remarks>
	//'' </remarks>
	//'' <history>
	//'' 	[ntense99]	11/23/2004	Created
	//'' </history>
	//'' -----------------------------------------------------------------------------
	public class ConfigDefaultStartCtl : System.Windows.Forms.UserControl
	{
		
		//'' -----------------------------------------------------------------------------
		//'' Overloaded Constructor
		//'' -----------------------------------------------------------------------------
		public ConfigDefaultStartCtl(string ControlMessage) {
			
			//This call is required by the Windows Form Designer.
			InitializeComponent();
			
			//Add any initialization after the InitializeComponent() call
			this.lblMainMessage.Text = ControlMessage;
		}
		
		#region " Windows Form Designer generated code "
		
		public ConfigDefaultStartCtl() {
			
			//This call is required by the Windows Form Designer.
			InitializeComponent();
			
			//Add any initialization after the InitializeComponent() call
			
		}
		
		//UserControl overrides dispose to clean up the component list.
		protected override void Dispose (bool disposing)
		{
			if (disposing)
			{
				if (!(components == null))
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		//Required by the Windows Form Designer
		private System.ComponentModel.Container components = null;
		
//NOTE: The following procedure is required by the Windows Form Designer
		//It can be modified using the Windows Form Designer.
		//Do not modify it using the code editor.
		internal Infragistics.Win.Misc.UltraLabel UltraLabel1;
		internal Infragistics.Win.Misc.UltraLabel UltraLabel3;
		internal Infragistics.Win.Misc.UltraLabel lblMainMessage;
		[System.Diagnostics.DebuggerStepThrough()]private void InitializeComponent ()
		{
			Infragistics.Win.Appearance Appearance1 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance Appearance2 = new Infragistics.Win.Appearance();
			Infragistics.Win.Appearance Appearance3 = new Infragistics.Win.Appearance();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ConfigDefaultStartCtl));
			this.UltraLabel1 = new Infragistics.Win.Misc.UltraLabel();
			this.lblMainMessage = new Infragistics.Win.Misc.UltraLabel();
			this.UltraLabel3 = new Infragistics.Win.Misc.UltraLabel();
			this.SuspendLayout();
			//
			//UltraLabel1
			//
			Appearance1.BackColor = System.Drawing.SystemColors.Desktop;
			Appearance1.BackColor2 = System.Drawing.SystemColors.InactiveCaption;
			Appearance1.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			this.UltraLabel1.Appearance = Appearance1;
			this.UltraLabel1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.UltraLabel1.Location = new System.Drawing.Point(0, 0);
			this.UltraLabel1.Name = "UltraLabel1";
			this.UltraLabel1.Size = new System.Drawing.Size(504, 376);
			this.UltraLabel1.TabIndex = 0;
			//
			//lblMainMessage
			//
			this.lblMainMessage.Anchor = ((System.Windows.Forms.AnchorStyles)(System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right));
			Appearance2.BackColor = System.Drawing.SystemColors.Desktop;
			Appearance2.BackColor2 = System.Drawing.SystemColors.InactiveCaption;
			Appearance2.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			Appearance2.FontData.SizeInPoints = 16.0F;
			Appearance2.ForeColor = System.Drawing.SystemColors.ActiveCaptionText;
			this.lblMainMessage.Appearance = Appearance2;
			this.lblMainMessage.BackColor = System.Drawing.Color.Transparent;
			this.lblMainMessage.Location = new System.Drawing.Point(0, 184);
			this.lblMainMessage.Name = "lblMainMessage";
			this.lblMainMessage.Padding = new System.Drawing.Size(10, 0);
			this.lblMainMessage.Size = new System.Drawing.Size(504, 112);
			this.lblMainMessage.TabIndex = 1;
			this.lblMainMessage.Text = "This is where you can configure your application. Select the items on the left ha" + "nd side to change a particular setting.";
			//
			//UltraLabel3
			//
			this.UltraLabel3.Anchor = ((System.Windows.Forms.AnchorStyles)(System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right));
			Appearance3.BackColor = System.Drawing.SystemColors.Desktop;
			Appearance3.BackColor2 = System.Drawing.SystemColors.InactiveCaption;
			Appearance3.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
			Appearance3.FontData.SizeInPoints = 22.0F;
			Appearance3.ForeColor = System.Drawing.SystemColors.ActiveCaptionText;
			Appearance3.Image = ((object)(resources.GetObject("Appearance3.Image")));
			this.UltraLabel3.Appearance = Appearance3;
			this.UltraLabel3.BackColor = System.Drawing.Color.Transparent;
			this.UltraLabel3.Font = new System.Drawing.Font("Microsoft Sans Serif", (float) (22.0), System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point,((byte)(0)));
			this.UltraLabel3.ImageSize = new System.Drawing.Size(30, 30);
			this.UltraLabel3.Location = new System.Drawing.Point(0, 48);
			this.UltraLabel3.Name = "UltraLabel3";
			this.UltraLabel3.Padding = new System.Drawing.Size(10, 0);
			this.UltraLabel3.Size = new System.Drawing.Size(504, 40);
			this.UltraLabel3.TabIndex = 2;
			this.UltraLabel3.Text = "Application Configuration";
			//
			//ConfigDefaultStartCtl
			//
			this.BackColor = System.Drawing.SystemColors.Control;
			this.Controls.Add(this.lblMainMessage);
			this.Controls.Add(this.UltraLabel3);
			this.Controls.Add(this.UltraLabel1);
			this.Name = "ConfigDefaultStartCtl";
			this.Size = new System.Drawing.Size(504, 376);
			this.ResumeLayout(false);
			
		}
		
		#endregion
		
	}
	
}
