using System.Diagnostics;
using Microsoft.VisualBasic;
using System;
using System.Data;
using System.Collections;

namespace Project.Support
{
	//'' -----------------------------------------------------------------------------
	//'' Project	 : Project.Config
	//'' Class	 : Config.SettingsTool
	//''
	//'' -----------------------------------------------------------------------------
	//'' <summary>
	//'' Shared Class Used To Get And Save Application Settings
	//'' </summary>
	//'' <remarks>
	//'' </remarks>
	//'' <history>
	//'' 	[ntense99]	11/23/2004	Created
	//'' </history>
	//'' -----------------------------------------------------------------------------
	public class SettingsTool
	{
		public SettingsTool() {
		}
		public static ApplicationSettings GetSettings()
		{
			object obj = null;
			if (System.IO.File.Exists(Config.AppSettingsFile) == true)
			{
				obj = SerializationTool.DeserializeObject(Config.AppSettingsFile);
			}
			if (!(obj == null))
			{
				obj = ((ApplicationSettings)(obj));
			}
			else
			{
				obj = new ApplicationSettings();
			}
			return ((ApplicationSettings)(obj));
		}
		public static bool SaveSettings(ApplicationSettings AppSettings)
		{
			bool blnRetVal;
			if (!(AppSettings == null))
			{
				if (System.IO.File.Exists(Config.AppSettingsFile) == true)
				{
					System.IO.File.Delete(Config.AppSettingsFile);
				}
				blnRetVal = SerializationTool.SerializeObject(AppSettings, Config.AppSettingsFile);
			}
			else
			{
				blnRetVal = false;
			}
			return blnRetVal;
		}
	}
	
}
