using System.Diagnostics;
using Microsoft.VisualBasic;
using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using System.Collections;

namespace Project.UI
{
	//'' -----------------------------------------------------------------------------
	//'' Project	 : MdiApplicationTemplate
	//'' Class	 : SingleRecordFrm
	//''
	//'' -----------------------------------------------------------------------------
	//'' <summary>
	//'' Data Entry UI Template. Use this as a starting point and follow the
	//'' pattern used below to INSERT, UPDATE and DELETE Objects
	//'' </summary>
	//'' <remarks>
	//'' </remarks>
	//'' <history>
	//'' 	[ntense99]	11/23/2004	Created
	//'' </history>
	//'' -----------------------------------------------------------------------------
	public class SingleRecordFrm : DataEntryBaseFrm, IBusinessClassControl
	{
		
		private object _obj__CUSTOM_BUSINESS_OBJECT; //CUSTOM_BUSINESS_OBJECT
		private DialogResult _dlgResult;
		private bool _isDirty; //whenever record editing happens (This should be made TRUE in the control's TextChanged events
		private object _primaryKey; //This is the Primary Key that is used to load an instance of an Object Entity
		
		#region " Windows Form Designer generated code "
		
		public SingleRecordFrm(object PrimaryKey) {
			_dlgResult = DialogResult.Cancel;
			_isDirty = false;
			
			
			//This call is required by the Windows Form Designer.
			InitializeComponent();
			
			//Add any initialization after the InitializeComponent() call
			_primaryKey = PrimaryKey;
		}
		
		//Form overrides dispose to clean up the component list.
		protected override void Dispose (bool disposing)
		{
			if (disposing)
			{
				if (!(components == null))
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		//Required by the Windows Form Designer
		private System.ComponentModel.Container components = null;
		
		//NOTE: The following procedure is required by the Windows Form Designer
		//It can be modified using the Windows Form Designer.
		//Do not modify it using the code editor.
		internal Infragistics.Win.Misc.UltraLabel UltraLabel4;
		internal Infragistics.Win.UltraWinTabControl.UltraTabControl UltraTabControl1;
		internal Infragistics.Win.UltraWinTabControl.UltraTabSharedControlsPage UltraTabSharedControlsPage1;
		internal Infragistics.Win.UltraWinTabControl.UltraTabPageControl UltraTabPageControl1;
		internal Infragistics.Win.UltraWinStatusBar.UltraStatusBar UltraStatusBar1;
		internal Infragistics.Win.UltraWinTabControl.UltraTabPageControl UltraTabPageControl2;
		internal Infragistics.Win.Misc.UltraLabel UltraLabel1;
		internal Infragistics.Win.UltraWinEditors.UltraTextEditor UltraTextEditor1;
		[System.Diagnostics.DebuggerStepThrough()]private void InitializeComponent ()
		{
			Infragistics.Win.UltraWinTabControl.UltraTab UltraTab1 = new Infragistics.Win.UltraWinTabControl.UltraTab();
			this.UltraTabPageControl2 = new Infragistics.Win.UltraWinTabControl.UltraTabPageControl();
			base.Load += new System.EventHandler(theForm_Load);
			base.Closing += new System.ComponentModel.CancelEventHandler(theForm_Closing);
			this.UltraLabel1 = new Infragistics.Win.Misc.UltraLabel();
			this.UltraLabel4 = new Infragistics.Win.Misc.UltraLabel();
			this.UltraTabControl1 = new Infragistics.Win.UltraWinTabControl.UltraTabControl();
			this.UltraTabSharedControlsPage1 = new Infragistics.Win.UltraWinTabControl.UltraTabSharedControlsPage();
			this.UltraStatusBar1 = new Infragistics.Win.UltraWinStatusBar.UltraStatusBar();
			this.UltraTextEditor1 = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
			((System.ComponentModel.ISupportInitialize)(this.toolbarMain)).BeginInit();
			this.UltraTabPageControl2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.UltraTabControl1)).BeginInit();
			this.UltraTabControl1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.UltraTextEditor1)).BeginInit();
			this.SuspendLayout();
			//
			//toolbarMain
			//
			this.toolbarMain.MenuSettings.ForceSerialization = true;
			this.toolbarMain.ToolbarSettings.ForceSerialization = true;
			//
			//UltraTabPageControl2
			//
			this.UltraTabPageControl2.Controls.Add(this.UltraTextEditor1);
			this.UltraTabPageControl2.Controls.Add(this.UltraLabel1);
			this.UltraTabPageControl2.Location = new System.Drawing.Point(2, 24);
			this.UltraTabPageControl2.Name = "UltraTabPageControl2";
			this.UltraTabPageControl2.Size = new System.Drawing.Size(588, 265);
			//
			//UltraLabel1
			//
			this.UltraLabel1.BackColor = System.Drawing.Color.Transparent;
			this.UltraLabel1.Location = new System.Drawing.Point(24, 24);
			this.UltraLabel1.Name = "UltraLabel1";
			this.UltraLabel1.TabIndex = 0;
			this.UltraLabel1.Text = "UltraLabel1";
			//
			//UltraLabel4
			//
			this.UltraLabel4.BackColor = System.Drawing.Color.Transparent;
			this.UltraLabel4.Location = new System.Drawing.Point(8, 24);
			this.UltraLabel4.Name = "UltraLabel4";
			this.UltraLabel4.Size = new System.Drawing.Size(104, 23);
			this.UltraLabel4.TabIndex = 29;
			this.UltraLabel4.Text = "Title";
			//
			//UltraTabControl1
			//
			this.UltraTabControl1.Controls.Add(this.UltraTabSharedControlsPage1);
			this.UltraTabControl1.Controls.Add(this.UltraTabPageControl2);
			this.UltraTabControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.UltraTabControl1.Location = new System.Drawing.Point(0, 52);
			this.UltraTabControl1.Name = "UltraTabControl1";
			this.UltraTabControl1.SharedControlsPage = this.UltraTabSharedControlsPage1;
			this.UltraTabControl1.Size = new System.Drawing.Size(592, 291);
			this.UltraTabControl1.TabIndex = 30;
			UltraTab1.Key = "Main";
			UltraTab1.TabPage = this.UltraTabPageControl2;
			UltraTab1.Text = "Main";
			this.UltraTabControl1.Tabs.AddRange(new Infragistics.Win.UltraWinTabControl.UltraTab[] { UltraTab1 });
			this.UltraTabControl1.ViewStyle = Infragistics.Win.UltraWinTabControl.ViewStyle.Office2003;
			//
			//UltraTabSharedControlsPage1
			//
			this.UltraTabSharedControlsPage1.Location = new System.Drawing.Point(-10000, -10000);
			this.UltraTabSharedControlsPage1.Name = "UltraTabSharedControlsPage1";
			this.UltraTabSharedControlsPage1.Size = new System.Drawing.Size(588, 265);
			//
			//UltraStatusBar1
			//
			this.UltraStatusBar1.Location = new System.Drawing.Point(0, 343);
			this.UltraStatusBar1.Name = "UltraStatusBar1";
			this.UltraStatusBar1.Size = new System.Drawing.Size(592, 23);
			this.UltraStatusBar1.TabIndex = 31;
			this.UltraStatusBar1.ViewStyle = Infragistics.Win.UltraWinStatusBar.ViewStyle.Office2003;
			//
			//UltraTextEditor1
			//
			this.UltraTextEditor1.Location = new System.Drawing.Point(128, 24);
			this.UltraTextEditor1.Name = "UltraTextEditor1";
			this.UltraTextEditor1.Size = new System.Drawing.Size(136, 21);
			this.UltraTextEditor1.TabIndex = 1;
			//
			//SingleRecordFrm
			//
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(592, 366);
			this.Controls.Add(this.UltraTabControl1);
			this.Controls.Add(this.UltraStatusBar1);
			this.Name = "SingleRecordFrm";
			this.Text = "Record Maintenance Template";
			this.Controls.SetChildIndex(this.UltraStatusBar1, 0);
			this.Controls.SetChildIndex(this.UltraTabControl1, 0);
			((System.ComponentModel.ISupportInitialize)(this.toolbarMain)).EndInit();
			this.UltraTabPageControl2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.UltraTabControl1)).EndInit();
			this.UltraTabControl1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.UltraTextEditor1)).EndInit();
			this.ResumeLayout(false);
			
		}
		
		#endregion
		
		#region " IBusinessClassControl Implementation "
		
		public void AddBusinessObjects ()
		{
			//_obj__CUSTOM_BUSINESS_OBJECT = DataManager.MakeaNewObjectInstance()
			_isDirty = true;
		}
		
		public void CancelBusinessObjects ()
		{
			try
			{
				this.BindingContext[_obj__CUSTOM_BUSINESS_OBJECT].CancelCurrentEdit(); //Save To Data Model
				_dlgResult = DialogResult.Cancel; //Set Dlg Result Variable
				_isDirty = false;
			}
			catch (Exception)
			{
				MessageBox.Show("Error Saving Record", "Error", MessageBoxButtons.OK, MessageBoxIcon.Information);
			}
		}
		
		public void DeleteBusinessObjects ()
		{
			if (MessageBox.Show("Are You Sure You Want To Delete The Current Record?", "Delete Confirm", MessageBoxButtons.OKCancel, MessageBoxIcon.Question) == DialogResult.OK)
			{
				try
				{
					// _obj__CUSTOM_BUSINESS_OBJECT.Delete()
					MessageBox.Show("The Current Record Has Been Deleted. Press OK To Close Form.", "Record Deleted", MessageBoxButtons.OK, MessageBoxIcon.Information);
					_dlgResult = DialogResult.OK; //Set Dlg Result
					_isDirty = false;
					this.Close(); //Close Form
				}
				catch (Exception)
				{
					MessageBox.Show("The Current Record Could Not Be Deleted.", "Unable To Delete Record", MessageBoxButtons.OK, MessageBoxIcon.Error);
					this.LoadBusinessObjects(); //Reload Object Data (perhaps it changed)
					this.DataBindControls();
				}
				
			}
		}
		
		public void LoadBusinessObjects ()
		{
			//_obj__CUSTOM_BUSINESS_OBJECT = DataManager.GetTheBusinessObject(_PrimaryKey)
			_isDirty = false;
		}
		
		public void SaveBusinessObjects ()
		{
			try
			{
				this.BindingContext[_obj__CUSTOM_BUSINESS_OBJECT].EndCurrentEdit(); //Save To Data Model
				
				//Then save to Database:///////
				
				_dlgResult = DialogResult.OK; //Set Dlg Result Variable
				
				_isDirty = false;
			}
			catch (Exception)
			{
				MessageBox.Show("Error Saving Record", "Error", MessageBoxButtons.OK, MessageBoxIcon.Information);
			}
			
		}
		
		#endregion
		
		#region " Control Events "
		
		private void theForm_Load (System.Object sender, System.EventArgs e)
		{
			if (!Convert.ToBoolean( _primaryKey == null))
			{
				this.LoadBusinessObjects();
			}
			else //if the Primary Key Indicates a NEW Record, create a NEW Object
			{
				this.AddBusinessObjects();
			}
			this.DataBindControls();
		}
		
		//At this point, we should have a LIVE Business Object, Here is where
		//we can use DataBindings.Add to hook up the Form Controls.
		//Ex: Text1.DataBindings.Clear()
		//Ex: Text1.DataBindings.Add("Text", theBusinessObject, "FirstName")
		private void DataBindControls ()
		{
			
		}
		
		internal override void toolbarMain_ToolClick (object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
		{
			System.Diagnostics.Debug.WriteLine("toolbarMain_ToolClick: " + e.Tool.Key.ToString());
			
			switch (e.Tool.Key.ToString())
			{
				case "Save":
					this.SaveBusinessObjects();
					break;
					
					
				case "SaveMenu":
					
					this.SaveBusinessObjects();
					break;
					
				case "Save And Close":
					
					this.SaveBusinessObjects();
					this.Close();
					break;
					
				case "Delete":
					
					this.DeleteBusinessObjects();
					break;
					
				case "Cancel":
					
					this.CancelBusinessObjects();
					break;
					
				case "Print":
					
					break;
					
					
				case "Copy": //Clipboard
					
					break;
					
				case "Cut": //Clipboard
					
					break;
					
				case "Paste": //Clipboard
					
					break;
					
					
			}
			
		}
		
		private void theForm_Closing (object sender, System.ComponentModel.CancelEventArgs e)
		{
			if (_isDirty == true)
			{
				MessageBox.Show("There are unsaved modifications to this record. Please Save or Cancel these changes before closing the Form.", "Unsaved Changes", MessageBoxButtons.OK, MessageBoxIcon.Information);
				e.Cancel = true;
				return;
			}
			
			this.DialogResult = _dlgResult; //Return whatever dlg result we have
		}
		
		#endregion
		
	}
	
}
